Index: trunk/LMDZ.COMMON/ioipsl/README
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/README	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/README	(revision 3425)
@@ -1,8 +1,7 @@
 Scripts in this directory are illustrative examples of how to
 download and install IOIPSL, e.g.:
-1) install_ioipsl_occigen.bash: everything is set for Occigen, just run:
-./install_ioipsl_occigen.bash
+1) install_ioipsl_ADASTRA-gnu.bash: everything is set for Adastra, just run:
+./install_ioipsl_ADASTRA-gnu.bash
 And output modules and library will be in ../../IOIPSL
-(with links in 'modipsl/lib' and 'modipsl/bin' for backward compatibility)
 
 2) install_ioipsl_gfortran.bash, and install_ioipsl_pgf90.bash and
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-gnu.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-gnu.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-gnu.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-ifort.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-ifort.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ADASTRA-ifort.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_BAO_YGG.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_BAO_YGG.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_BAO_YGG.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MESU-gnu.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MESU-gnu.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MESU-gnu.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MesoPSL.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MesoPSL.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_MesoPSL.bash	(revision 3425)
@@ -34,5 +34,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: make some arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_centos-ifort.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_centos-ifort.bash	(revision 3424)
+++ 	(revision )
@@ -1,65 +1,0 @@
-#!/bin/bash
-# script to download and install the latest version of IOIPSL on LMD CentOS machines
-#
-
-#0. Preliminary stuff 
-if (( $# == 0 ))
-then
-  # default behavior: get latest version of IOIPSL
-  rev="HEAD"
-else
-  # but otherwise the first argument of the script can be the version to use
-  if (( $# == 1 ))
-  then
-    rev=$1
-  else
-    echo "Error, invalid script arguments"
-    echo "Usage:"
-    echo "$0 rev"
-    echo " where optional rev is the IOIPSL revision number"
-    exit
-  fi
-fi
-
-# cleanup possible previous attempt:
-\rm -rf ../../IOIPSL modipsl 
-
-# 1. Get IOIPSL 
-# move up at same level as LMDZ.COMMON , etc.
-cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
-
-# 2. Set correct settings: copy over arch.* files
-cd IOIPSL
-cp -f ../LMDZ.COMMON/arch/arch-centos-ifort-para.env arch
-cp -f ../LMDZ.COMMON/arch/arch-centos-ifort-para.path arch
-cp -f ../LMDZ.COMMON/arch/arch-centos-ifort-para.fcm arch
-
-## 3. build ioipsl:
-./makeioipsl_fcm -arch centos-ifort-para -job 8 > makeioipsl.out 2>&1
-
-## 4. Check if the library was indeed built:
-whereami=`pwd -P`
-if [[ -f lib/libioipsl.a ]] 
-  then
-  echo "OK: ioipsl library is in ${whereami}/lib"
-else
-  echo "Something went wrong... check messages in ${whereami}/makeioipsl.out"
-  exit
-fi
-
-## 5. Comply with old setup and make appropriate links
-cd ../LMDZ.COMMON/ioipsl
-mkdir modipsl 
-cd modipsl
-# lib + module files
-mkdir lib
-cd lib
-ln -s ../../../../IOIPSL/lib/libioipsl.a .
-ln -s ../../../../IOIPSL/inc/* .
-cd ..
-# rebuild utility
-mkdir bin
-cd bin
-ln -s ../../../../IOIPSL/bin/* .
-
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ciclad-ifort.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ciclad-ifort.bash	(revision 3424)
+++ 	(revision )
@@ -1,65 +1,0 @@
-#!/bin/bash
-# script to download and install the latest version of IOIPSL on Ciclad
-#
-
-#0. Preliminary stuff
-
-if (( $# == 0 ))
-then
-  # default behavior: get latest version of IOIPSL
-  rev="HEAD"
-else
-  # but otherwise the first argument of the script can be the version to use
-  if (( $# == 1 ))
-  then
-    rev=$1
-  else
-    echo "Error, invalid script arguments"
-    echo "Usage:"
-    echo "$0 rev"
-    echo " where optional rev is the IOIPSL revision number"
-    exit
-  fi
-fi
-
-# cleanup possible previous attempt:
-\rm -rf ../../IOIPSL modipsl 
-
-# 1. Get IOIPSL 
-# move up at same level as LMDZ.COMMON , etc.
-cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
-
-# 2. Set correct settings: copy over arch.* files
-cd IOIPSL
-cp -f ../LMDZ.COMMON/arch/arch-CICLADifort.env arch
-cp -f ../LMDZ.COMMON/arch/arch-CICLADifort.path arch
-cp -f ../LMDZ.COMMON/arch/arch-CICLADifort.fcm arch
-
-## 3. build ioipsl:
-./makeioipsl_fcm -arch CICLADifort -job 8 > makeioipsl.out 2>&1
-
-## 4. Check if the library was indeed built:
-whereami=`pwd -P`
-if [[ -f lib/libioipsl.a ]] 
-  then
-  echo "OK: ioipsl library is in ${whereami}/lib"
-else
-  echo "Something went wrong... check messages in ${whereami}/makeioipsl.out"
-  exit
-fi
-
-## 5. Comply with old setup and make appropriate links
-cd ../LMDZ.COMMON/ioipsl
-mkdir modipsl 
-cd modipsl
-# lib + module files
-mkdir lib
-cd lib
-ln -s ../../../../IOIPSL/lib/libioipsl.a .
-ln -s ../../../../IOIPSL/inc/* .
-cd ..
-# rebuild utility
-mkdir bin
-cd bin
-ln -s ../../../../IOIPSL/bin/* .
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_gfortran.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_gfortran.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_gfortran.bash	(revision 3425)
@@ -34,5 +34,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: make some arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort.bash	(revision 3425)
@@ -34,5 +34,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: make some arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort_MESOIPSL.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort_MESOIPSL.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_ifort_MESOIPSL.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_irene-amd.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_irene-amd.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_irene-amd.bash	(revision 3425)
@@ -29,5 +29,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay.bash	(revision 3425)
@@ -30,5 +30,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay_pgi.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay_pgi.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_jeanzay_pgi.bash	(revision 3425)
@@ -30,5 +30,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: copy over arch.* files
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_mesu.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_mesu.bash	(revision 3424)
+++ 	(revision )
@@ -1,62 +1,0 @@
-#!/bin/bash
-# script to download and install the latest version of IOIPSL on mesu
-#
-
-#0. Preliminary stuff 
-module purge
-module load intel-compilers-16/16.0.2.181
-module load intel-cmkl-16/16.0.2
-module load mpt/2.11
-module load netcdf/4.3.0
-
-whereami=`pwd -P`
-
-# 1. Get IOIPSL (via modipsl)
-svn co http://forge.ipsl.jussieu.fr/igcmg/svn/modipsl/trunk modipsl
-cd modipsl/util
-
-./model IOIPSL_PLUS
-
-# 2. Set correct settings:
-# add a "mesu" configuration to AA_make.gdef
-echo "#-Q- mesu  #- Global definitions for Idataplex (mesu) at UPMC, ifort" >> AA_make.gdef
-echo "#-Q- mesu  M_K = make" >> AA_make.gdef
-echo "#-Q- mesu  P_C = cpp" >> AA_make.gdef
-echo '#-Q- mesu  P_O = -P -C $(P_P)' >> AA_make.gdef
-echo "#-Q- mesu  F_C = ifort -mcmodel=medium -shared-intel -c" >> AA_make.gdef
-echo "#-Q- mesu  #-D- MD    F_D = -g" >> AA_make.gdef
-echo "#-Q- mesu  #-D- MN    F_D =" >> AA_make.gdef
-echo "#-Q- mesu  #-P- I4R4  F_P = -integer-size 32" >> AA_make.gdef
-echo "#-Q- mesu  #-P- I4R8  F_P = -integer-size 32 -real-size 64" >> AA_make.gdef
-echo "#-Q- mesu  #-P- I8R8  F_P = -integer-size 64 -real-size 64" >> AA_make.gdef
-echo '#-Q- mesu  F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)' >> AA_make.gdef
-echo "#-Q- mesu  F_L = ifort" >> AA_make.gdef
-echo "#-Q- mesu  M_M = 0" >> AA_make.gdef
-echo "#-Q- mesu  L_X = 0" >> AA_make.gdef
-echo "#-Q- mesu  L_O =" >> AA_make.gdef
-echo "#-Q- mesu  A_C = ar -r" >> AA_make.gdef
-echo "#-Q- mesu  A_G = ar -x" >> AA_make.gdef
-echo "#-Q- mesu  C_C = icc -c" >> AA_make.gdef
-echo "#-Q- mesu  C_O =" >> AA_make.gdef
-echo "#-Q- mesu  C_L = icc" >> AA_make.gdef
-echo "#-Q- mesu  #-" >> AA_make.gdef
-echo "#-Q- mesu  NCDF_INC = ${NETCDF_FORT_ROOT}/include" >> AA_make.gdef
-echo "#-Q- mesu  NCDF_LIB = -L${NETCDF_FORT_ROOT}/lib -lnetcdff" >> AA_make.gdef
-echo "#-Q- mesu  #-" >> AA_make.gdef
-
-# set default working precision for IOIPSL:
-./ins_make -t mesu -p I4R8
-
-## 3. build ioipsl:
-cd ../modeles/IOIPSL/src
-make
-## Compile the rebuild tool:
-cd ../tools
-make
-
-if [[ -f ${whereami}/modipsl/lib/libioipsl.a ]] 
-  then
-  echo "OK: ioipsl library is in ${whereami}/modipsl/lib"
-else
-  echo "Something went wrong..."
-fi
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_occigen.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_occigen.bash	(revision 3424)
+++ 	(revision )
@@ -1,67 +1,0 @@
-#!/bin/bash
-# script to download and install the latest version of IOIPSL on Occigen
-#
-
-#0. Preliminary stuff
-
-if (( $# == 0 ))
-then
-  # default behavior: get latest version of IOIPSL
-  rev="HEAD"
-else
-  # but otherwise the first argument of the script can be the version to use
-  if (( $# == 1 ))
-  then
-    rev=$1
-  else
-    echo "Error, invalid script arguments"
-    echo "Usage:"
-    echo "$0 rev"
-    echo " where optional rev is the IOIPSL revision number"
-    exit
-  fi
-fi
-
-# cleanup possible previous attempt:
-\rm -rf ../../IOIPSL modipsl 
-
-# 1. Get IOIPSL 
-# move up at same level as LMDZ.COMMON , etc.
-cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
-
-# 2. Set correct settings: copy over arch.* files
-cd IOIPSL
-cp -f ../LMDZ.COMMON/arch/arch-X64_OCCIGEN.env arch
-cp -f ../LMDZ.COMMON/arch/arch-X64_OCCIGEN.path arch
-cp -f ../LMDZ.COMMON/arch/arch-X64_OCCIGEN.fcm arch
-
-## 3. build ioipsl:
-# but first make a small correction to makeioipsl_fcm
-sed -i -e s:'$HDF5_LIBDIR $HDF5_LIB':'':1 makeioipsl_fcm
-./makeioipsl_fcm -arch X64_OCCIGEN -job 8 > makeioipsl.out 2>&1
-
-## 4. Check if the library was indeed built:
-whereami=`pwd -P`
-if [[ -f lib/libioipsl.a ]] 
-  then
-  echo "OK: ioipsl library is in ${whereami}/lib"
-else
-  echo "Something went wrong... check messages in ${whereami}/makeioipsl.out"
-  exit
-fi
-
-## 5. Comply with old setup and make appropriate links
-cd ../LMDZ.COMMON/ioipsl
-mkdir modipsl 
-cd modipsl
-# lib + module files
-mkdir lib
-cd lib
-ln -s ../../../../IOIPSL/lib/libioipsl.a .
-ln -s ../../../../IOIPSL/inc/* .
-cd ..
-# rebuild utility
-mkdir bin
-cd bin
-ln -s ../../../../IOIPSL/bin/* .
Index: trunk/LMDZ.COMMON/ioipsl/install_ioipsl_pgf90.bash
===================================================================
--- trunk/LMDZ.COMMON/ioipsl/install_ioipsl_pgf90.bash	(revision 3424)
+++ trunk/LMDZ.COMMON/ioipsl/install_ioipsl_pgf90.bash	(revision 3425)
@@ -34,5 +34,5 @@
 # move up at same level as LMDZ.COMMON , etc.
 cd ../..
-svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/trunk IOIPSL
+svn co --username icmc_users --password icmc2022 --non-interactive --revision $rev http://forge.ipsl.fr/igcmg/svn/IOIPSL/trunk IOIPSL
 
 # 2. Set correct settings: make some arch.* files