Index: trunk/LMDZ.PLUTO/libf/phypluto/tabfi_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/tabfi_mod.F90	(revision 3453)
+++ trunk/LMDZ.PLUTO/libf/phypluto/tabfi_mod.F90	(revision 3455)
@@ -12,5 +12,5 @@
 !   C. Hourdin 15/11/96
 !
-!   Object:        Lecture du tab_cntrl physique dans un fichier 
+!   Object:        Lecture du tab_cntrl physique dans un fichier
 !   ------            et initialisation des constantes physiques
 !
@@ -21,12 +21,12 @@
 !     ------
 !
-!      - nid:    unitne logique du fichier ou on va lire le tab_cntrl    
-!                      (ouvert dans le programme appellant) 
+!      - nid:    unitne logique du fichier ou on va lire le tab_cntrl
+!                      (ouvert dans le programme appellant)
 !
 !                 si nid=0:
 !                       pas de lecture du tab_cntrl mais
 !                       Valeurs par default des constantes physiques
-!        
-!      - tab0:    Offset de tab_cntrl a partir duquel sont ranges 
+!
+!      - tab0:    Offset de tab_cntrl a partir duquel sont ranges
 !                  les parametres physiques (50 pour start_archive)
 !
@@ -44,5 +44,5 @@
 !      - p_rad
 !      - p_omeg   !
-!      - p_g      ! Constantes physiques ayant des 
+!      - p_g      ! Constantes physiques ayant des
 !      - p_mugaz  ! homonymes dynamiques
 !      - p_daysec !
@@ -58,10 +58,11 @@
       use mod_phys_lmdz_para, only: is_parallel
       use planete_mod, only: year_day, periastr, apoastr, peri_day, &
-                             obliquit, z0, lmixmin, emin_turb
+                             obliquit, z0, lmixmin, emin_turb, &
+                             tpal, adjust
       use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, cpp, r
       use time_phylmdz_mod, only: dtphys, daysec
       use callkeys_mod, only: cpp_mugaz_mode
       implicit none
- 
+
       include "netcdf.inc"
 
@@ -87,5 +88,5 @@
       LOGICAL :: found
       CHARACTER(len=5) :: modname="tabfi"
-      
+
       write(*,*)"tabfi: nid=",nid," tab0=",tab0," Lmodif=",Lmodif
 
@@ -97,5 +98,5 @@
         lmax=0 ! not used anyways
         !day_ini already set via inifis
-        time=0 
+        time=0
 ! Informations about planet for dynamics and physics
         ! rad,cpp,g,r,rcp already initialized by inifis
@@ -219,13 +220,13 @@
       p_rad=rad
 
-      ENDIF    ! end of (nid = 0) 
+      ENDIF    ! end of (nid = 0)
 
 !-----------------------------------------------------------------------
 !	Write physical constants to output before modifying them
 !-----------------------------------------------------------------------
- 
+
    6  FORMAT(a20,e15.6,e15.6)
    5  FORMAT(a20,f12.2,f12.2)
- 
+
       write(*,*) '*****************************************************'
       write(*,*) 'Reading tab_cntrl when calling tabfi before changes'
@@ -306,6 +307,6 @@
       write(*,*) '(10)     daysec   : length of a sol (s)'
       write(*,*)
- 
- 
+
+
       do while(modif(1:1).ne.'hello')
         write(*,*)
@@ -316,5 +317,5 @@
         read(*,fmt='(a20)') modif
         if (modif(1:1) .eq. ' ') goto 999
- 
+
         write(*,*)
         write(*,*) modif(1:len_trim(modif)) , ' : '
@@ -365,5 +366,5 @@
  106      read(*,*,iostat=ierr) emisice(1)
           if(ierr.ne.0) goto 106
-          write(*,*) 
+          write(*,*)
           write(*,*) ' emisice(1) (new value):',emisice(1)
           write(*,*)
@@ -373,5 +374,5 @@
  107      read(*,*,iostat=ierr) emisice(2)
           if(ierr.ne.0) goto 107
-          write(*,*) 
+          write(*,*)
           write(*,*) ' emisice(2) (new value):',emisice(2)
 
@@ -381,5 +382,5 @@
  110      read(*,*,iostat=ierr) iceradius(1)
           if(ierr.ne.0) goto 110
-          write(*,*) 
+          write(*,*)
           write(*,*) ' iceradius(1) (new value):',iceradius(1)
           write(*,*)
@@ -389,5 +390,5 @@
  111      read(*,*,iostat=ierr) iceradius(2)
           if(ierr.ne.0) goto 111
-          write(*,*) 
+          write(*,*)
           write(*,*) ' iceradius(2) (new value):',iceradius(2)
 
@@ -397,5 +398,5 @@
  112      read(*,*,iostat=ierr) dtemisice(1)
           if(ierr.ne.0) goto 112
-          write(*,*) 
+          write(*,*)
           write(*,*) ' dtemisice(1) (new value):',dtemisice(1)
           write(*,*)
@@ -405,5 +406,5 @@
  113      read(*,*,iostat=ierr) dtemisice(2)
           if(ierr.ne.0) goto 113
-          write(*,*) 
+          write(*,*)
           write(*,*) ' dtemisice(2) (new value):',dtemisice(2)
 
@@ -414,5 +415,5 @@
  115      read(*,*,iostat=ierr) obliquit
           if(ierr.ne.0) goto 115
-          write(*,*) 
+          write(*,*)
           write(*,*) ' obliquit (new value):',obliquit
 
@@ -423,5 +424,5 @@
  116      read(*,*,iostat=ierr) peri_day
           if(ierr.ne.0) goto 116
-          write(*,*) 
+          write(*,*)
           write(*,*) ' peri_day (new value):',peri_day
 
@@ -432,7 +433,7 @@
  117      read(*,*,iostat=ierr) periastr
           if(ierr.ne.0) goto 117
-          write(*,*) 
+          write(*,*)
           write(*,*) ' periastr (new value):',periastr
- 
+
         else if (modif(1:len_trim(modif)) .eq. 'apoastr') then
           write(*,*) 'current value:',apoastr
@@ -441,7 +442,7 @@
  118      read(*,*,iostat=ierr) apoastr
           if(ierr.ne.0) goto 118
-          write(*,*) 
+          write(*,*)
           write(*,*) ' apoastr (new value):',apoastr
- 
+
         else if (modif(1:len_trim(modif)) .eq. 'volcapa') then
           write(*,*) 'current value:',volcapa
@@ -449,7 +450,7 @@
  119      read(*,*,iostat=ierr) volcapa
           if(ierr.ne.0) goto 119
-          write(*,*) 
+          write(*,*)
           write(*,*) ' volcapa (new value):',volcapa
-        
+
         else if (modif(1:len_trim(modif)).eq.'rad') then
           write(*,*) 'current value:',rad
@@ -457,5 +458,5 @@
  120      read(*,*,iostat=ierr) rad
           if(ierr.ne.0) goto 120
-          write(*,*) 
+          write(*,*)
           write(*,*) ' rad (new value):',rad
 
@@ -465,7 +466,7 @@
  121      read(*,*,iostat=ierr) omeg
           if(ierr.ne.0) goto 121
-          write(*,*) 
+          write(*,*)
           write(*,*) ' omeg (new value):',omeg
-        
+
         else if (modif(1:len_trim(modif)).eq.'g') then
           write(*,*) 'current value:',g
@@ -473,5 +474,5 @@
  122      read(*,*,iostat=ierr) g
           if(ierr.ne.0) goto 122
-          write(*,*) 
+          write(*,*)
           write(*,*) ' g (new value):',g
 
@@ -481,5 +482,5 @@
  123      read(*,*,iostat=ierr) mugaz
           if(ierr.ne.0) goto 123
-          write(*,*) 
+          write(*,*)
           write(*,*) ' mugaz (new value):',mugaz
           r=8.314511/(mugaz/1000.0)
@@ -491,5 +492,5 @@
  124      read(*,*,iostat=ierr) rcp
           if(ierr.ne.0) goto 124
-          write(*,*) 
+          write(*,*)
           write(*,*) ' rcp (new value):',rcp
           r=8.314511/(mugaz/1000.0)
@@ -502,5 +503,5 @@
           call su_gases
           call calc_cpp_mugaz
-          write(*,*) 
+          write(*,*)
           write(*,*) ' cpp (new value):',cpp
           write(*,*) ' mugaz (new value):',mugaz
@@ -508,5 +509,5 @@
           rcp=r/cpp
           write(*,*) ' rcp (new value):',rcp
-	  
+
         else if (modif(1:len_trim(modif)).eq.'daysec') then
           write(*,*) 'current value:',daysec
@@ -514,5 +515,5 @@
  125      read(*,*,iostat=ierr) daysec
           if(ierr.ne.0) goto 125
-          write(*,*) 
+          write(*,*)
           write(*,*) ' daysec (new value):',daysec
 
@@ -520,5 +521,5 @@
         else if (modif(1:len_trim(modif)).eq.'year_day') then
           write(*,*) 'current value:',year_day
-          write(*,*) 'enter new value:' 
+          write(*,*) 'enter new value:'
  126      read(*,*,iostat=ierr) year_day
           if(ierr.ne.0) goto 126
@@ -534,5 +535,5 @@
 !	Write values of physical constants after modifications
 !-----------------------------------------------------------------------
- 
+
       write(*,*) '*****************************************************'
       write(*,*) 'Reading tab_cntrl when calling tabfi AFTER changes'
@@ -548,5 +549,5 @@
       write(*,5) '(9)             rcp',tab_cntrl(tab0+9),rcp
       write(*,6) '(11)        dtphys?',tab_cntrl(tab0+11),dtphys
- 
+
       write(*,5) '(14)       year_day',tab_cntrl(tab0+14),year_day
       write(*,5) '(15)       periastr',tab_cntrl(tab0+15),periastr
@@ -554,9 +555,9 @@
       write(*,5) '(17)       peri_day',tab_cntrl(tab0+17),peri_day
       write(*,5) '(18)       obliquit',tab_cntrl(tab0+18),obliquit
- 
+
       write(*,6) '(19)             z0',tab_cntrl(tab0+19),z0
       write(*,6) '(21)      emin_turb',tab_cntrl(tab0+21),emin_turb
       write(*,5) '(20)        lmixmin',tab_cntrl(tab0+20),lmixmin
- 
+
       write(*,5) '(26)        emissiv',tab_cntrl(tab0+26),emissiv
       write(*,5) '(24)     emisice(1)',tab_cntrl(tab0+24),emisice(1)
@@ -566,9 +567,9 @@
       write(*,5) '(33)   dtemisice(1)',tab_cntrl(tab0+33),dtemisice(1)
       write(*,5) '(34)   dtemisice(2)',tab_cntrl(tab0+34),dtemisice(2)
- 
+
       write(*,5) '(35)        volcapa',tab_cntrl(tab0+35),volcapa
 
-      write(*,*)  
-      write(*,*) 
+      write(*,*)
+      write(*,*)
 
       ENDIF ! of if (Lmodif == 1)