Index: trunk/LMDZ.MARS/changelog.txt
===================================================================
--- trunk/LMDZ.MARS/changelog.txt	(revision 3466)
+++ trunk/LMDZ.MARS/changelog.txt	(revision 3468)
@@ -4727,2 +4727,7 @@
   is a duplicate of the "dtridgl" routine in phymars/swr_toon.F
 - turn aeronomars routines to modules, for those which aren't in modules yet.
+
+== 24/10/2024 == EM
+Remove obsolete/depreciated lwrite flag (which would trigger some very specific
+extra text outputs), in code and in reference callphys.def files.
+
Index: trunk/LMDZ.MARS/deftank/callphys.def.GCM5
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.GCM5	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.GCM5	(revision 3468)
@@ -10,7 +10,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/deftank/callphys.def.GCM6
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.GCM6	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.GCM6	(revision 3468)
@@ -12,7 +12,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/deftank/callphys.def.MCD5
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.MCD5	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.MCD5	(revision 3468)
@@ -13,7 +13,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/deftank/callphys.def.MCD6
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.MCD6	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.MCD6	(revision 3468)
@@ -12,7 +12,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/deftank/callphys.def.co2clouds.GCM5
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.co2clouds.GCM5	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.co2clouds.GCM5	(revision 3468)
@@ -18,7 +18,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/deftank/callphys.def.hdo.GCM5
===================================================================
--- trunk/LMDZ.MARS/deftank/callphys.def.hdo.GCM5	(revision 3466)
+++ trunk/LMDZ.MARS/deftank/callphys.def.hdo.GCM5	(revision 3468)
@@ -10,7 +10,4 @@
 #Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
 season = .true.   
-
-#write some more output on the screen ?
-lwrite = .false.    
 
 #Save statistics in file "stats.nc" ?
Index: trunk/LMDZ.MARS/libf/phymars/callkeys.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/callkeys.h	(revision 3466)
+++ trunk/LMDZ.MARS/libf/phymars/callkeys.h	(revision 3468)
@@ -7,5 +7,5 @@
 
       COMMON/callkeys_l/callrad,calldifv,calladj,callcond,callsoil      &
-     &   ,season,diurnal,lwrite,calllott,calleofdump                    &
+     &   ,season,diurnal,calllott,calleofdump                           &
      &   ,callnirco2,callnlte,callthermos,callconduct,calleuv           &
      &   ,callmolvis,callmoldiff,thermochem,thermoswater,callemis       &
@@ -33,5 +33,5 @@
      
       LOGICAL callrad,calldifv,calladj,callcond,callsoil,               &
-     &   season,diurnal,lwrite,calllott,calllott_nonoro                 &
+     &   season,diurnal,calllott,calllott_nonoro                        &
      &   ,calleofdump                                                   &
      &   ,callnirco2,callnlte,callthermos,callconduct,                  &
Index: trunk/LMDZ.MARS/libf/phymars/callradite_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/callradite_mod.F	(revision 3466)
+++ trunk/LMDZ.MARS/libf/phymars/callradite_mod.F	(revision 3468)
@@ -608,23 +608,21 @@
          enddo
       endif
-c     Output for debugging if lwrite=T
+c     Output for debugging
 c     --------------------------------
 c     Write all nlayer layers, even though only nlaylte layers may have
 c     non-zero tendencies.
 
-         IF(lwrite) THEN
-            PRINT*,'Diagnotique for the radiation'
-            PRINT*,'albedo, emissiv, mu0,fract,fluxsurf_lw,fluxsurf_sw'
-            PRINT*,albedo(igout,1),emis(igout),mu0(igout),
-     s           fract(igout), fluxsurf_lw(igout),
-     $     fluxsurf_dn_sw(igout,1)+fluxsurf_dn_sw(igout,2)
-            PRINT*,'Tlay Tlev Play Plev dT/dt SW dT/dt LW (K/s)'
-            PRINT*,'daysec',daysec
-            DO l=1,nlayer
-               PRINT*,pt(igout,l),ptlev(igout,l),
-     s         pplay(igout,l),pplev(igout,l),
-     s         dtsw(igout,l),dtlw(igout,l)
-            ENDDO
-         ENDIF
+c            PRINT*,'Diagnotique for the radiation'
+c            PRINT*,'albedo, emissiv, mu0,fract,fluxsurf_lw,fluxsurf_sw'
+c            PRINT*,albedo(igout,1),emis(igout),mu0(igout),
+c     s           fract(igout), fluxsurf_lw(igout),
+c     $     fluxsurf_dn_sw(igout,1)+fluxsurf_dn_sw(igout,2)
+c            PRINT*,'Tlay Tlev Play Plev dT/dt SW dT/dt LW (K/s)'
+c            PRINT*,'daysec',daysec
+c            DO l=1,nlayer
+c               PRINT*,pt(igout,l),ptlev(igout,l),
+c     s         pplay(igout,l),pplev(igout,l),
+c     s         dtsw(igout,l),dtlw(igout,l)
+c            ENDDO
 
 
Index: trunk/LMDZ.MARS/libf/phymars/conf_phys.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/conf_phys.F	(revision 3466)
+++ trunk/LMDZ.MARS/libf/phymars/conf_phys.F	(revision 3468)
@@ -130,9 +130,4 @@
          call getin_p("season",season)
          write(*,*) " season = ",season
-
-         write(*,*) "Write some extra output to the screen ?"
-         lwrite=.false. ! default value
-         call getin_p("lwrite",lwrite)
-         write(*,*) " lwrite = ",lwrite
 
          write(*,*) "Save statistics in file stats.nc ?"
Index: trunk/LMDZ.MARS/libf/phymars/physiq_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 3466)
+++ trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 3468)
@@ -1505,5 +1505,5 @@
          dwatercap_dif(:,:) = 0.
          CALL vdifc(ngrid,nlayer,nsoilmx,nq,nqsoil,zpopsk,
-     $        ptimestep,capcal,lwrite,
+     $        ptimestep,capcal,
      $        zplay,zplev,zzlay,zzlev,z0,
      $        pu,pv,zh,pq,tsurf,tsoil,emis,qsurf,
@@ -2546,24 +2546,4 @@
      &              'ig l =', igmin, lmin
       end if
-c *******************************************************************
-
-c     ---------------------
-c     Outputs to the screen
-c     ---------------------
-
-      IF (lwrite) THEN
-         write(*,*)'Global diagnostics for the physics'
-         write(*,*)'Variables and their increments x and dx/dt * dt'
-         WRITE(*,'(a6,a10,2a15)') 'Ts','dTs','ps','dps'
-         WRITE(*,'(2f10.5,2f15.5)')
-     s   tsurf(igout,:),zdtsurf(igout,:)*ptimestep,
-     s   zplev(igout,1),pdpsrf(igout)*ptimestep
-         WRITE(*,'(a4,a6,5a10)') 'l','u','du','v','dv','T','dT'
-         WRITE(*,'(i4,6f10.5)') (l,
-     s   pu(igout,l),pdu(igout,l)*ptimestep,
-     s   pv(igout,l),pdv(igout,l)*ptimestep,
-     s   pt(igout,l),pdt(igout,l)*ptimestep,
-     s   l=1,nlayer)
-      ENDIF ! of IF (lwrite)
 
 c        ----------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/phymars/vdifc_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/vdifc_mod.F	(revision 3466)
+++ trunk/LMDZ.MARS/libf/phymars/vdifc_mod.F	(revision 3468)
@@ -6,5 +6,5 @@
       
       SUBROUTINE vdifc(ngrid,nlay,nsoil,nq,nqsoil,ppopsk,
-     $                ptimestep,pcapcal,lecrit,
+     $                ptimestep,pcapcal,
      $                pplay,pplev,pzlay,pzlev,pz0,
      $                pu,pv,ph,pq,ptsrf,ptsoil,pemis,pqsurf,qsoil,
@@ -85,5 +85,4 @@
 c    Argument added for condensation:
       REAL,INTENT(IN) :: ppopsk(ngrid,nlay)
-      logical,INTENT(IN) :: lecrit
       REAL,INTENT(IN) :: pcondicea_co2microp(ngrid,nlay)! tendency due to CO2 condensation (kg/kg.s-1)
       
@@ -341,23 +340,4 @@
       ENDDO
 
-c    ** diagnostique pour l'initialisation
-c       ----------------------------------
-
-      IF(lecrit) THEN
-         ig=ngrid/2+1
-         PRINT*,'Pression (mbar) ,altitude (km),u,v,theta, rho dz'
-         DO ilay=1,nlay
-            WRITE(*,'(6f11.5)')
-     s      .01*pplay(ig,ilay),.001*pzlay(ig,ilay),
-     s      pu(ig,ilay),pv(ig,ilay),ph(ig,ilay),za(ig,ilay)
-         ENDDO
-         PRINT*,'Pression (mbar) ,altitude (km),zb'
-         DO ilev=1,nlay
-            WRITE(*,'(3f15.7)')
-     s      .01*pplev(ig,ilev),.001*pzlev(ig,ilev),
-     s      zb0(ig,ilev)
-         ENDDO
-      ENDIF
-
 c     -----------------------------------
 c     Potential Condensation temperature:
@@ -503,19 +483,4 @@
         end do
       end if
-
-c    ** diagnostique pour le schema de turbulence
-c       -----------------------------------------
-
-      IF(lecrit) THEN
-         PRINT*
-         PRINT*,'Diagnostic for the vertical turbulent mixing'
-         PRINT*,'Cd for momentum and potential temperature'
-
-         PRINT*,zcdv_tmp(ngrid/2+1),zcdh_tmp(ngrid/2+1)
-         PRINT*,'Mixing coefficient for momentum and pot.temp.'
-         DO ilev=1,nlay
-            PRINT*,zkv(ngrid/2+1,ilev),zkh(ngrid/2+1,ilev)
-         ENDDO
-      ENDIF
 
 c-----------------------------------------------------------------------
@@ -1465,21 +1430,4 @@
      &                                    *ptimestep))/ptimestep
 
-c    ** diagnostique final 
-c       ------------------
-
-      IF(lecrit) THEN
-         PRINT*,'In vdif'
-         PRINT*,'Ts (t) and Ts (t+st)'
-         WRITE(*,'(a10,3a15)')
-     s   'theta(t)','theta(t+dt)','u(t)','u(t+dt)'
-         PRINT*,ptsrf(ngrid/2+1,:),ztsrf2(ngrid/2+1)
-         DO ilev=1,nlay
-            WRITE(*,'(4f15.7)')
-     s      ph(ngrid/2+1,ilev),zhs(ngrid/2+1,ilev),
-     s      pu(ngrid/2+1,ilev),zu(ngrid/2+1,ilev)
-
-         ENDDO
-      ENDIF
-
       END SUBROUTINE vdifc
 